Bug 17327 - xdelta segfaults on invocation
xdelta segfaults on invocation
Product: Red Hat Linux
Classification: Retired
Component: xdelta (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-09-07 12:30 EDT by Adrian Likins
Modified: 2007-04-18 12:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-19 18:14:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2000-09-07 12:30:26 EDT
[alikins@swoop alikins]$ echo 'sdfasdfasdf' > /tmp/test1
[alikins@swoop alikins]$ echo 'sdfasdfasdfasdfasdfasdf' > /tmp/test2
[alikins@swoop alikins]$ xdelta delta /tmp/test1 /tmp/test2
%XDZ004test1test2^[[?1;2c^[[?1;2cxdelta: lseek failed: Illegal seek
Segmentation fault (core dumped)
[alikins@swoop alikins]$ 1;2c1;2c

Seems to do it on any files I try it on.

Specifiying a file to send it to seems to work,
but attempting to send it to stdout fails. 

    xdelta delta /tmp/test1 /tmp/test2 diffile



	xdelta delta /tmp/test1 /tmp/test2 -
	xdelta delta /tmp/test1 /tmp/test2

fail. According to the man page, this is supposed
to send output to stdout.
Comment 1 Jeff Johnson 2001-07-24 13:22:10 EDT
Presumably, this was xdelat-2.0.0, so the fix is/was to revert to xdelta-1.1.1
Comment 2 David Balažic 2001-07-26 10:27:30 EDT
[root@localhost /tmp]# xdelta delta   srvsox.wav  srvsox.wav

srvsox.wavsrvsox.wavxdelta: lseek failed: Illegal seek
Segmentation fault (core dumped)
[root@localhost /tmp]# xdelta delta  -0  srvsox.wav  srvsox.wav

srvsox.wavsrvsox.wav\owh>cvjb7(X C.n
srvsox.wav\owh>cvjb7(X C.n.n4%XDZ004%[root@localhost /tmp]#
[root@localhost /tmp]# rpm -q xdelta

xdelta segfaults if delta file is written to tty AND compression
is used.

Same with xdelta-1.1.1-10.

The man page is outdated too. ( it misses some of the options ).
Comment 3 David Lawrence 2003-05-16 12:48:54 EDT
Changing product to RHL since we moved this component into the base distro and
end of lifed the Powertools line.
Comment 4 Shawn Walker 2003-06-27 15:29:21 EDT
xdetal 1.1.3 on RedHat 9 does not exhibit this issue.

Note You need to log in before you can comment on or make changes to this bug.